Package twisted :: Package scripts :: Module conch :: Class GeneralOptions

[show private | hide private]
[frames | no frames]

## Class GeneralOptions

    UserDict --+
               |
         Options --+
                   |
                  GeneralOptions

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_cipher`(self, cipher)` Select encryption algorithm
| ``opt_compress`(self)` Enable compression
| ``opt_escape`(self, esc)` Set escape character; ``none'' = disable
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_identity`(self, i)` Identity for public-key authentication
| ``opt_localforward`(self, f)` Forward local port to remote address (lport:host:port)
| ``opt_macs`(self, mac)` Specify MAC algorithms
| ``opt_remoteforward`(self, f)` Forward remote port to local address (rport:host:port)
| `opt_version(self)` (inherited from `Options`)
| `parseArgs(self, host, *command)`
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed. (inherited from `Options`)
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `identitys`
`list` | `localForwards`
`list` | `optFlags`
`list` | `optParameters`
`list` | `remoteForwards`
`string` | `synopsis`

Method Details

### opt_cipher(self, cipher)

Select encryption algorithm

### opt_compress(self)

Enable compression

### opt_escape(self, esc)

Set escape character; ``none'' = disable

### opt_identity(self, i)

Identity for public-key authentication

### opt_localforward(self, f)

Forward local port to remote address (lport:host:port)

### opt_macs(self, mac)

Specify MAC algorithms

### opt_remoteforward(self, f)

Forward remote port to local address (rport:host:port)

Class Variable Details

### identitys

  Type:
    `list`
  Value:

        []

### localForwards

  Type:
    `list`
  Value:

        []

### optFlags

  Type:
    `list`
  Value:

        [['null', 'n', 'Redirect input from /dev/null.'],
         ['tty', 't', 'Tty; allocate a tty even if command is given.'],
         ['notty', 'T', 'Do not allocate a tty.'],
         ['version', 'V', 'Display version number only.'],
         ['compress', 'C', 'Enable compression.'],
         ['noshell', 'N', 'Do not execute a shell or command.'],
         ['subsystem', 's', 'Invoke command (mandatory) as SSH2 subsystem.'],
         ['log', 'v', 'Log to stderr'],
        ...

### optParameters

  Type:
    `list`
  Value:

        [['user', 'l', None, 'Log in using this user name.'],
         ['identity', 'i', None],
         ['escape', 'e', '~'],
         ['cipher', 'c', None],
         ['macs', 'm', None],
         ['port',
          'p',
          None,
        ...

### remoteForwards

  Type:
    `list`
  Value:

        []

### synopsis

  Type:
    `string`
  Value:

        '''Usage:    ssh [options] host [command]
         '''

Generated by Epydoc 1.1 on Sat Feb 15 21:19:17 2003 | http://epydoc.sf.net